Get raw fields of asset by ID

Cortex XSIAM Platform APIs

get /public_api/v1/assets/{id}/raw_fields

Get the raw fields of the asset specified by asset ID.

Required license: Cortex XSIAM Premium or Cortex XSIAM Enterprise or Cortex XSIAM NG SIEM or Cortex XSIAM Enterprise Plus.

Path parameters
id String required

Asset ID

Example: id_example
Request headers
Authorization String required

{api_key}

Example: authorization_example
x-xdr-auth-id String required

{api_key_id}

Example: xXdrAuthId_example
CLIENT REQUEST
curl -X 'GET'
-H 'Accept: application/json'
-H 'Authorization: authorization_example' -H 'x-xdr-auth-id: xXdrAuthId_example'
'https://api-yourfqdn/public_api/v1/assets/{id}/raw_fields'
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") headers = { 'Authorization': "SOME_STRING_VALUE", 'x-xdr-auth-id': "SOME_STRING_VALUE" } conn.request("GET", "/public_api/v1/assets/%7Bid%7D/raw_fields", headers=headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/v1/assets/%7Bid%7D/raw_fields") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Get.new(url) request["Authorization"] = 'SOME_STRING_VALUE' request["x-xdr-auth-id"] = 'SOME_STRING_VALUE' response = http.request(request) puts response.read_body
const data = null; const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("GET", "https://api-yourfqdn/public_api/v1/assets/%7Bid%7D/raw_fields"); xhr.setRequestHeader("Authorization", "SOME_STRING_VALUE"); xhr.setRequestHeader("x-xdr-auth-id", "SOME_STRING_VALUE"); xhr.send(data);
HttpResponse<String> response = Unirest.get("https://api-yourfqdn/public_api/v1/assets/%7Bid%7D/raw_fields") .header("Authorization", "SOME_STRING_VALUE") .header("x-xdr-auth-id", "SOME_STRING_VALUE") .asString();
import Foundation let headers = [ "Authorization": "SOME_STRING_VALUE", "x-xdr-auth-id": "SOME_STRING_VALUE" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/v1/assets/%7Bid%7D/raw_fields")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/v1/assets/%7Bid%7D/raw_fields", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: SOME_STRING_VALUE", "x-xdr-auth-id: SOME_STRING_VALUE" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/v1/assets/%7Bid%7D/raw_fields"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "Authorization: SOME_STRING_VALUE"); headers = curl_slist_append(headers, "x-xdr-auth-id: SOME_STRING_VALUE"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/v1/assets/%7Bid%7D/raw_fields"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "SOME_STRING_VALUE"); request.AddHeader("x-xdr-auth-id", "SOME_STRING_VALUE"); IRestResponse response = client.Execute(request);
Responses

Ok

Body
application/json
replyobject
dataarray
[
xdm__asset__raw_fieldsobject
Platform Discoveryobject
Adjustableboolean
Descriptionstring
GlobalQuotaboolean
QuotaAppliedAtLevelstring
QuotaArnstring
QuotaCodestring
QuotaNamestring
ServiceCodestring
ServiceNamestring
Unitstring
Valueinteger
]
metadataobject
filter_countinteger
total_countinteger
RESPONSE
{ "reply": { "data": [ { "xdm__asset__raw_fields": { "Platform Discovery": { "Adjustable": false, "Description": "The maximum number of times that you can call model inference in one minute for Anthropic Claude 3.5 Sonnet. The quota considers the combined sum of Converse, ConverseStream, InvokeModel and InvokeModelWithResponseStream.", "GlobalQuota": false, "QuotaAppliedAtLevel": "ACCOUNT", "QuotaArn": "arn:aws:servicequotas:ap-south-1:384346710675:bedrock/L-F457545D", "QuotaCode": "L-F457545D", "QuotaName": "Cross-region InvokeModel requests per minute for Anthropic Claude 3.5 Sonnet", "ServiceCode": "bedrock", "ServiceName": "Amazon Bedrock", "Unit": "None", "Value": 100 } } } ], "metadata": { "filter_count": 1, "total_count": 921 } } }

Unauthorized

Body
application/json
[
err_codeinteger
Example:403
err_msgstring
Example:"Forbidden. Access was denied to this resource."
err_extrastring
]
RESPONSE
[ { "err_code": 403, "err_msg": "Forbidden. Access was denied to this resource.", "err_extra": "example" } ]

Asset Not Found

Body
application/json
[
err_codeinteger
Example:404
err_msgstring
Example:"An unexpected behavior occurred by Cortex Pubic API"
err_extrastring
]
RESPONSE
[ { "err_code": 404, "err_msg": "An unexpected behavior occurred by Cortex Pubic API", "err_extra": "example" } ]

Internal Server Error

Body
application/json
[
err_codeinteger
Example:500
err_msgstring
Example:"An unexpected behavior occurred by Cortex Pubic API"
err_extrastring
]
RESPONSE
[ { "err_code": 500, "err_msg": "An unexpected behavior occurred by Cortex Pubic API", "err_extra": "example" } ]